IP Intelligence
IP Intelligence: bgp
Free. Requires the tools feature.
POST
/
tools
/
ip-intelligence
/
bgp
IP Intelligence: bgp
curl --request POST \
--url https://api.osint.ly/tools/ip-intelligence/bgp \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"ip": "1.1.1.1"
}
'import requests
url = "https://api.osint.ly/tools/ip-intelligence/bgp"
payload = { "ip": "1.1.1.1" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({ip: '1.1.1.1'})
};
fetch('https://api.osint.ly/tools/ip-intelligence/bgp', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"tool": "ip-intelligence",
"operation": "<string>",
"query": {
"ip": "1.1.1.1"
},
"data": {},
"meta": {
"timestamp": "2023-11-07T05:31:56Z",
"savedResult": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"url": "<string>"
}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "Unauthorized",
"details": "A valid API key is required"
},
"meta": {
"timestamp": "2026-06-28T12:00:00.000Z"
}
}{
"error": {
"code": "PLAN_FEATURE_REQUIRED",
"message": "Plan feature required",
"details": "Tools require a paid API subscription with the tools feature enabled"
},
"meta": {
"timestamp": "2026-06-28T12:00:00.000Z"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
IPv4 or IPv6 address
Example:
"1.1.1.1"
Was this page helpful?
⌘I
IP Intelligence: bgp
